    List the available model types.

list_models(show='all')
show - { 'all', '1d', '2d', 'xspec' }, optional
>>> models = list_models() >>> models[0:5] ['absorptionedge', 'absorptiongaussian', 'absorptionlorentz', 'absorptionvoigt', 'accretiondisk']
>>> list_models('2d') ['beta2d', 'box2d', 'const2d', 'delta2d', 'devaucouleurs2d', 'disk2d', 'gauss2d', 'lorentz2d', 'normgauss2d', 'polynom2d', 'scale2d', 'sersic2d', 'shell2d', 'sigmagauss2d']

PARAMETERS

The parameter for this function is:

Parameter
Definition
show
What type of model should be returned. The default is 'all'. An unrecognized value is treated as 'all'.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023